CVE-2019-15553

NameCVE-2019-15553
DescriptionAn issue was discovered in the memoffset crate before 0.5.0 for Rust. offset_of and span_of can cause exposure of uninitialized memory.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs936025

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
rust-memoffset (PTS)bullseye, buster0.2.1-1vulnerable
sid0.5.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
rust-memoffsetsource(unstable)0.5.1-1936025

Notes

[buster] - rust-memoffset <no-dsa> (Minor issue)
https://github.com/Gilnaa/memoffset/issues/9#issuecomment-505461490
https://rustsec.org/advisories/RUSTSEC-2019-0011.html

Search for package or bug name: Reporting problems